iPad 1 jailbroken 4.3.1 - how update to 5.0.1?

Discussion in 'iPad Hacking' started by romanos, Apr 9, 2012.

  1. romanos

    romanos
    Expand Collapse
    iPF Noob

    Joined:
    Apr 9, 2012
    Messages:
    4
    Thanks Received:
    0
    Hi.

    I've spent all day on this..

    - I have an iPad1 (wifi+3G), jailbroken with 4.3.1
    - I want to update/upgrade to 5.0.1 (even if I lose all contents)
    - I am planning on jailbreaking it again, once 5.0.1 is on it
    - I have already backed up my SHSH blobs on redsn0w and iFaith (SHSH blobs are from my current 4.3.1 version)

    I DON'T want to update/upgrade to 5.1 - tethered is not an option for me.

    But on iTunes I keep getting error 3194. Have tried various ways, fixing hosts with TU or manually, but the error keeps appearing..


    Any tips on how to do this?
    I feel like I am missing out on something..


    Thanks in advance!
     
  2. f4780y

    f4780y
    Expand Collapse
    Super Moderator
    Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,115
    Thanks Received:
    651
  3. romanos

    romanos
    Expand Collapse
    iPF Noob

    Joined:
    Apr 9, 2012
    Messages:
    4
    Thanks Received:
    0
    Hi f4780,

    yes you did, but there was no follow-up ;)


    Could you please just confirm, that I understood this correctly:

    - I need 5.0.1 SHSH blobs, in order to upgrade from 4.3.1 to 5.0.1.
    (Naturally, I don't have 5.0.1 blobs, because I have not yet had 5.0.1 istalled on my iPad.)

    - Is there any way to get 5.0.1 SHSH blobs, although I have 4.3.1?

    - If not, does this mean I CANNOT upgrade to 5.0.1 from 4.3.1??


    Thanks!
     
  4. f4780y

    f4780y
    Expand Collapse
    Super Moderator
    Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,115
    Thanks Received:
    651
    -Yes.
    -No.
    -Yes.

    You don't get 5.0.1 blobs by having 5.0.1 installed. You need them FIRST to be allowed to install 5.0.1. You get them by requesting them from Apple when they were providing them. If you have been jailbroken in the past or you have used TinyUmbrella or Cydia to save them, then you are good. If not, then you are out of luck. There is no way to get them now. You will just need to wait patiently for an 5.1 jailbreak, and nobody knows when that will arrive.

    See our FAQ here for more details on blobs - http://www.ipadforums.net/ipad-hacking/59291-shsh-blobs-faq-new-improved-2012-a.html
     
  5. romanos

    romanos
    Expand Collapse
    iPF Noob

    Joined:
    Apr 9, 2012
    Messages:
    4
    Thanks Received:
    0
    Thanks again

    This means I shouldn't have waited so long and upgraded to 5.0.1 earlier, in order to be able to get the 5.0.1 SHSH blobs..

    Meaning I am now stuck with 4.3.1 until the 5.1 jailbreak is out...

    pitty..


    So for future procedures (at least for the iPad).. The logic is: Wait till official "current" Apple iOS is jailbroken, then upgrade to it over iTunes, then jailbreak it?


    thanks very much for all the fast help!!
     
  6. f4780y

    f4780y
    Expand Collapse
    Super Moderator
    Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,115
    Thanks Received:
    651
    Pretty much. You should start saving your SHSH Blobs today. Whilst you can only get 5.1 (because that is the current IOS), you will at least have them. As soon as Apple release a new version of IOS they stop signing 5.1, so you can't get blobs for that version any more. It's important to start today so you have the potential safety net. With an iPad1 and saved blobs you can restore that version any time you choose, even if it is old.

    Follow this tutorial here to get started - http://www.ipadforums.net/jailbreak...01-how-save-your-shsh-blobs-tinyumbrella.html
     
  7. f4780y

    f4780y
    Expand Collapse
    Super Moderator
    Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,115
    Thanks Received:
    651
    And feel free to have a good read through all the stickies in here and our sub-hacking forums. They contain a wealth of info which may help you in the future! :D

    Also, since you have an iPad1, you can consider a tethered jailbreak. It really isn't a chore with the iPad1 since we don't normally have to reboot our devices very often. My iPad1 is jailbroken on 5.1 and it working great. I haven't rebooted it again since the day I installed over a month ago!

    http://www.ipadforums.net/jailbreak...orial-jailbreak-ipad1-ios5-using-redsn0w.html
     
  8. jawa6306

    jawa6306
    Expand Collapse
    iPad Fan

    Joined:
    Sep 28, 2011
    Messages:
    117
    Thanks Received:
    6
    If you've had it jailbroken since before march 8 or so Cydia should have saved your 5.0.1 blobs automatically. To double check, open Cydia and at the top it should say SHSH and list all the firmwares it has saved blobs for. If 5.0.1 is on the list use TU to save them on your pc from Cydia and use them and redsnow to build your custom 5.0.1 firmware. check the top of the photo for what I'm talking about.

    Just curious, why is tethered not an option? I could count the number of times I've had to boot my iPad in the last 6 months on 1 hand. I know it's preference, it's just tethered on an iPad doesn't sound too bad to me.

    Edit: wow I'm a slow poster... In the time it took to type this a conversation took place, lol. I'm leaving this up anyways, considering the time it took to type it.
     

    Attached Files:

    #8 jawa6306, Apr 9, 2012
    Last edited: Apr 9, 2012
  9. romanos

    romanos
    Expand Collapse
    iPF Noob

    Joined:
    Apr 9, 2012
    Messages:
    4
    Thanks Received:
    0
    Thanks to both f4780y & jawa6306,

    Your comments have been of great help.


    You have made me reconsider the tethered jailbreak on 5.0.1 - I was contrary to it because of previous experience on my iPhone... but the iPad has a different kind of usage, AND battery life :D

    Either way if all should end up "going wrong", which I guess it won't, I can always return to my 4.3.1, whose SHSH blobs I DO have.. :D


    So thanks again!
    Till next time ;)
    keep on breakin' em out!
     
  10. f4780y

    f4780y
    Expand Collapse
    Super Moderator
    Staff Member

    Joined:
    Sep 11, 2010
    Messages:
    7,115
    Thanks Received:
    651
    I would honestly suggest you do go to 5.1. 5.0.1 on the iPad1 is not a great firmware. They made a lot of optimisations in 5.1 to reduce the memory usage on iPad1 and it runs much better. Lots of folks hated 5.0.1 on the iPad1.
    Even an untehtered jailbreak isn't much fun if apps are crashing all the time due to low memory. 5.1 is much better IMHO.

    I suspect 5.1 may be the last great firmware on the iPad1 if things progress as they have in the iPhone world.
     

Share This Page



Search tags for this page
can i update a jailbroken ipad
,

how to update jailbroken ipad

,

how to update jailbroken ipad 1

,
how to update jailbroken ipad1
,
how to upgrade a jailbroken ipad 1
,
how to upgrade jailbroken ipad 1
,
update jailbroken ipad
,
update jailbroken ipad 1
,
updating a jailbroken ipad
,
upgrade jailbroken ipad